Bug 464754 - rpm prints error: Macro %__isa_name (and %__isa_bits) has empty body on ppc
rpm prints error: Macro %__isa_name (and %__isa_bits) has empty body on ppc
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-30 04:52 EDT by Adam Tkac
Modified: 2013-04-30 19:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-01 05:04:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Tkac 2008-09-30 04:52:22 EDT
Description of problem:
when I run rpm command (simple "rpm -q rpm" for example) it prints error about undefined macros

Version-Release number of selected component (if applicable):
# rpm -qa |grep rpm
rpm-4.5.90-0.git8461.7.ppc
rpm-libs-4.5.90-0.git8461.7.ppc
rpm-libs-4.5.90-0.git8461.7.ppc64

How reproducible:
always

Steps to Reproduce:
1. run "rpm -q rpm"
2. look on output
  
Actual results:
# rpm -q rpm
error: Macro %__isa_name has empty body
error: Macro %__isa_bits has empty body
rpm-4.5.90-0.git8461.7.ppc

Expected results:
# rpm -q rpm
rpm-4.5.90-0.git8461.7.ppc

Additional info:
macros __isa_name and __isa_bits are undefined in /usr/lib/rpm/platform/ppc{64,}{i,p}series-linux/macros but they are defined in /usr/lib/rpm/platform/ppc{64,}-linux/macros.

It seems those macros shall be defined everywhere or rpm shall use ppc{64,}-linux platform directories.

Let me know if you need more info or access to machine where this problem is reproducable.
Comment 1 Panu Matilainen 2008-10-01 05:04:12 EDT
This should be fixed in rawhide now (rpm-4.5.90-0.git8514.1). If not, please reopen, then I need to take a closer look at what's going on...
Comment 2 Adam Tkac 2008-10-01 06:09:32 EDT
4.5.90-0.git8514.1 looks fine for me.

Note You need to log in before you can comment on or make changes to this bug.